Bug 480470

Summary: [publican] Adapt to font package renamings
Product: [Community] Publican Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.6CC: fonts-bugs, jfearn, mmcallis, petersen, publican-list
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-15 22:26:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 480443    

Description Nicolas Mailhot 2009-01-17 07:45:09 EST
Notification of font package renamings
Comment 1 Nicolas Mailhot 2009-01-17 08:01:54 EST
FPC unexpectedly refused to ratify a proposal that put into writing our de-facto font package naming rules for the past years, and requested naming changes. As a result many font packages have been or will be renamed soon (including recently created packages)

We have detected your package depends on such a font package. Please change your dependencies accordingly.

See also
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#fpc_renaminghttp://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#What_if_my_package_bundles_Bitstream_Vera.2C_Arev.2C_DejaVu_LGC_or_another_Bitstream_Vera_font_derivative.3F

To ease the transition and avoid breaking F11 Alpha DejaVu has already been renamed but still declares its old names for full via rpm Provides. Those provides will be removed for Fedora 11 beta, to ensure no remaining legacy deps remains in the distribution. In the meanwhile packages depending on DejaVu full won't break and can be adapted at your leasure.
Comment 2 Jeff Fearn 2009-01-18 19:08:21 EST
We switched from dejavu to liberation some time ago and no longer have a Requires for the dejavu fonts.
Comment 3 Jens Petersen 2009-02-09 00:34:53 EST
This is almost done thanks to kind people have been updating publican.spec for the fonts changes so far.

I will update for sazanami-fonts now, which just leaves us waiting for the lohit-fonts subpackage rename.
Comment 4 Nicolas Mailhot 2009-02-18 14:33:30 EST
This is a reminder for all the packagers that still have bugs open about adapting to font packaging guidelines there is only one month left before Fedora 11 beta:
http://fedoraproject.org/wiki/Releases/11/Schedule

A week of this month will see the Fedora 11 mass rebuild, that will load the build farm:
http://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

As already converted packages showed it is quite possible to make mistakes during the conversion. Please make releng and QA happy and don't wait till the last minute to do your changes (avoid pre-beta panic). If possible start before the mass rebuild so we don't burn cycles on incorrect packages.

The PackageKit enhancements stated for Fedora 11 assume fonts and font-using packages are sane (basically respect packaging guidelines). It is quite possible that not-converted packages will interact with the F11 font autoinstall feature in "interesting" ways.
http://fedoraproject.org/wiki/Features/AutomaticFontInstallation

We don't want that

There is extensive documentation on the wiki and most of your questions have likely already been answered there. Please do read the FAQ before making more work for the support team by asking questions answered there.
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29
Comment 5 Jens Petersen 2009-03-01 21:57:30 EST
We could update rawhide to depend on vlgothic-fonts rather than VLGothic-fonts, but that will probably just cause Jeff more trouble than help.

So I think the package dep side of this bug is now done - however some updates might still be needed inside publican for the latest packaging changes so passing to Jeff to sign off.
Comment 6 Jeff Fearn 2009-03-15 22:26:08 EDT
publican 0.44 is built in rawhide with these changes.